<?php
$tdataasociatiepersoane = array();
$tdataasociatiepersoane[".searchableFields"] = array();
$tdataasociatiepersoane[".ShortName"] = "asociatiepersoane";
$tdataasociatiepersoane[".OwnerID"] = "";
$tdataasociatiepersoane[".OriginalTable"] = "asociatiePersoane";


$tdataasociatiepersoane[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataasociatiepersoane[".originalPagesByType"] = $tdataasociatiepersoane[".pagesByType"];
$tdataasociatiepersoane[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataasociatiepersoane[".originalPages"] = $tdataasociatiepersoane[".pages"];
$tdataasociatiepersoane[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdataasociatiepersoane[".originalDefaultPages"] = $tdataasociatiepersoane[".defaultPages"];

//	field labels
$fieldLabelsasociatiepersoane = array();
$fieldToolTipsasociatiepersoane = array();
$pageTitlesasociatiepersoane = array();
$placeHoldersasociatiepersoane = array();

if(mlang_getcurrentlang()=="Romanian")
{
	$fieldLabelsasociatiepersoane["Romanian"] = array();
	$fieldToolTipsasociatiepersoane["Romanian"] = array();
	$placeHoldersasociatiepersoane["Romanian"] = array();
	$pageTitlesasociatiepersoane["Romanian"] = array();
	$fieldLabelsasociatiepersoane["Romanian"]["id"] = "Id";
	$fieldToolTipsasociatiepersoane["Romanian"]["id"] = "";
	$placeHoldersasociatiepersoane["Romanian"]["id"] = "";
	$fieldLabelsasociatiepersoane["Romanian"]["persoana"] = "Persoana";
	$fieldToolTipsasociatiepersoane["Romanian"]["persoana"] = "";
	$placeHoldersasociatiepersoane["Romanian"]["persoana"] = "";
	$fieldLabelsasociatiepersoane["Romanian"]["cnp"] = "Cnp";
	$fieldToolTipsasociatiepersoane["Romanian"]["cnp"] = "";
	$placeHoldersasociatiepersoane["Romanian"]["cnp"] = "";
	$fieldLabelsasociatiepersoane["Romanian"]["domiciliu"] = "Domiciliu";
	$fieldToolTipsasociatiepersoane["Romanian"]["domiciliu"] = "";
	$placeHoldersasociatiepersoane["Romanian"]["domiciliu"] = "";
	$fieldLabelsasociatiepersoane["Romanian"]["functie"] = "Functie";
	$fieldToolTipsasociatiepersoane["Romanian"]["functie"] = "";
	$placeHoldersasociatiepersoane["Romanian"]["functie"] = "";
	$fieldLabelsasociatiepersoane["Romanian"]["id_asociatie"] = "Id Asociatie";
	$fieldToolTipsasociatiepersoane["Romanian"]["id_asociatie"] = "";
	$placeHoldersasociatiepersoane["Romanian"]["id_asociatie"] = "";
	if (count($fieldToolTipsasociatiepersoane["Romanian"]))
		$tdataasociatiepersoane[".isUseToolTips"] = true;
}


	$tdataasociatiepersoane[".NCSearch"] = true;



$tdataasociatiepersoane[".shortTableName"] = "asociatiepersoane";
$tdataasociatiepersoane[".nSecOptions"] = 0;

$tdataasociatiepersoane[".mainTableOwnerID"] = "";
$tdataasociatiepersoane[".entityType"] = 0;
$tdataasociatiepersoane[".connId"] = "web111_bl_at_vmw_ro";


$tdataasociatiepersoane[".strOriginalTableName"] = "asociatiePersoane";

		 



$tdataasociatiepersoane[".showAddInPopup"] = false;

$tdataasociatiepersoane[".showEditInPopup"] = false;

$tdataasociatiepersoane[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataasociatiepersoane[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataasociatiepersoane[".listAjax"] = false;
//	temporary
$tdataasociatiepersoane[".listAjax"] = false;

	$tdataasociatiepersoane[".audit"] = false;

	$tdataasociatiepersoane[".locking"] = false;


$pages = $tdataasociatiepersoane[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataasociatiepersoane[".edit"] = true;
	$tdataasociatiepersoane[".afterEditAction"] = 1;
	$tdataasociatiepersoane[".closePopupAfterEdit"] = 1;
	$tdataasociatiepersoane[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataasociatiepersoane[".add"] = true;
$tdataasociatiepersoane[".afterAddAction"] = 1;
$tdataasociatiepersoane[".closePopupAfterAdd"] = 1;
$tdataasociatiepersoane[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataasociatiepersoane[".list"] = true;
}



$tdataasociatiepersoane[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataasociatiepersoane[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataasociatiepersoane[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataasociatiepersoane[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataasociatiepersoane[".printFriendly"] = true;
}



$tdataasociatiepersoane[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataasociatiepersoane[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataasociatiepersoane[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataasociatiepersoane[".isUseAjaxSuggest"] = true;

$tdataasociatiepersoane[".rowHighlite"] = true;





$tdataasociatiepersoane[".ajaxCodeSnippetAdded"] = false;

$tdataasociatiepersoane[".buttonsAdded"] = false;

$tdataasociatiepersoane[".addPageEvents"] = false;

// use timepicker for search panel
$tdataasociatiepersoane[".isUseTimeForSearch"] = false;


$tdataasociatiepersoane[".badgeColor"] = "9acd32";


$tdataasociatiepersoane[".allSearchFields"] = array();
$tdataasociatiepersoane[".filterFields"] = array();
$tdataasociatiepersoane[".requiredSearchFields"] = array();

$tdataasociatiepersoane[".googleLikeFields"] = array();
$tdataasociatiepersoane[".googleLikeFields"][] = "id";
$tdataasociatiepersoane[".googleLikeFields"][] = "persoana";
$tdataasociatiepersoane[".googleLikeFields"][] = "cnp";
$tdataasociatiepersoane[".googleLikeFields"][] = "domiciliu";
$tdataasociatiepersoane[".googleLikeFields"][] = "functie";
$tdataasociatiepersoane[".googleLikeFields"][] = "id_asociatie";



$tdataasociatiepersoane[".tableType"] = "list";

$tdataasociatiepersoane[".printerPageOrientation"] = 0;
$tdataasociatiepersoane[".nPrinterPageScale"] = 100;

$tdataasociatiepersoane[".nPrinterSplitRecords"] = 40;

$tdataasociatiepersoane[".geocodingEnabled"] = false;










$tdataasociatiepersoane[".pageSize"] = 20;

$tdataasociatiepersoane[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataasociatiepersoane[".strOrderBy"] = $tstrOrderBy;

$tdataasociatiepersoane[".orderindexes"] = array();


$tdataasociatiepersoane[".sqlHead"] = "SELECT id,  	persoana,  	cnp,  	domiciliu,  	functie,  	id_asociatie";
$tdataasociatiepersoane[".sqlFrom"] = "FROM asociatiePersoane";
$tdataasociatiepersoane[".sqlWhereExpr"] = "";
$tdataasociatiepersoane[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdataasociatiepersoane[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataasociatiepersoane[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataasociatiepersoane[".arrGroupsPerPage"] = $arrGPP;

$tdataasociatiepersoane[".highlightSearchResults"] = true;

$tableKeysasociatiepersoane = array();
$tableKeysasociatiepersoane[] = "id";
$tdataasociatiepersoane[".Keys"] = $tableKeysasociatiepersoane;


$tdataasociatiepersoane[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "asociatiePersoane";
	$fdata["Label"] = GetFieldLabel("asociatiePersoane","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
										

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatiepersoane["id"] = $fdata;
		$tdataasociatiepersoane[".searchableFields"][] = "id";
//	persoana
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "persoana";
	$fdata["GoodName"] = "persoana";
	$fdata["ownerTable"] = "asociatiePersoane";
	$fdata["Label"] = GetFieldLabel("asociatiePersoane","persoana");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "persoana";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "persoana";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatiepersoane["persoana"] = $fdata;
		$tdataasociatiepersoane[".searchableFields"][] = "persoana";
//	cnp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "cnp";
	$fdata["GoodName"] = "cnp";
	$fdata["ownerTable"] = "asociatiePersoane";
	$fdata["Label"] = GetFieldLabel("asociatiePersoane","cnp");
	$fdata["FieldType"] = 200;

	
	
	
										

		$fdata["strField"] = "cnp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cnp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatiepersoane["cnp"] = $fdata;
		$tdataasociatiepersoane[".searchableFields"][] = "cnp";
//	domiciliu
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "domiciliu";
	$fdata["GoodName"] = "domiciliu";
	$fdata["ownerTable"] = "asociatiePersoane";
	$fdata["Label"] = GetFieldLabel("asociatiePersoane","domiciliu");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "domiciliu";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "domiciliu";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatiepersoane["domiciliu"] = $fdata;
		$tdataasociatiepersoane[".searchableFields"][] = "domiciliu";
//	functie
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "functie";
	$fdata["GoodName"] = "functie";
	$fdata["ownerTable"] = "asociatiePersoane";
	$fdata["Label"] = GetFieldLabel("asociatiePersoane","functie");
	$fdata["FieldType"] = 201;

	
	
	
										

		$fdata["strField"] = "functie";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "functie";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatiepersoane["functie"] = $fdata;
		$tdataasociatiepersoane[".searchableFields"][] = "functie";
//	id_asociatie
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "id_asociatie";
	$fdata["GoodName"] = "id_asociatie";
	$fdata["ownerTable"] = "asociatiePersoane";
	$fdata["Label"] = GetFieldLabel("asociatiePersoane","id_asociatie");
	$fdata["FieldType"] = 3;

	
	
	
										

		$fdata["strField"] = "id_asociatie";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_asociatie";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataasociatiepersoane["id_asociatie"] = $fdata;
		$tdataasociatiepersoane[".searchableFields"][] = "id_asociatie";


$tables_data["asociatiePersoane"]=&$tdataasociatiepersoane;
$field_labels["asociatiePersoane"] = &$fieldLabelsasociatiepersoane;
$fieldToolTips["asociatiePersoane"] = &$fieldToolTipsasociatiepersoane;
$placeHolders["asociatiePersoane"] = &$placeHoldersasociatiepersoane;
$page_titles["asociatiePersoane"] = &$pageTitlesasociatiepersoane;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["asociatiePersoane"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["asociatiePersoane"] = array();



	
				$strOriginalDetailsTable="asociatie";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="asociatie";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "asociatie";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["asociatiePersoane"][0] = $masterParams;
				$masterTablesData["asociatiePersoane"][0]["masterKeys"] = array();
	$masterTablesData["asociatiePersoane"][0]["masterKeys"][]="id";
				$masterTablesData["asociatiePersoane"][0]["detailKeys"] = array();
	$masterTablesData["asociatiePersoane"][0]["detailKeys"][]="id_asociatie";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_asociatiepersoane()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	persoana,  	cnp,  	domiciliu,  	functie,  	id_asociatie";
$proto0["m_strFrom"] = "FROM asociatiePersoane";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
					
;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "asociatiePersoane",
	"m_srcTableName" => "asociatiePersoane"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "asociatiePersoane";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "persoana",
	"m_strTable" => "asociatiePersoane",
	"m_srcTableName" => "asociatiePersoane"
));

$proto8["m_sql"] = "persoana";
$proto8["m_srcTableName"] = "asociatiePersoane";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "cnp",
	"m_strTable" => "asociatiePersoane",
	"m_srcTableName" => "asociatiePersoane"
));

$proto10["m_sql"] = "cnp";
$proto10["m_srcTableName"] = "asociatiePersoane";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "domiciliu",
	"m_strTable" => "asociatiePersoane",
	"m_srcTableName" => "asociatiePersoane"
));

$proto12["m_sql"] = "domiciliu";
$proto12["m_srcTableName"] = "asociatiePersoane";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "functie",
	"m_strTable" => "asociatiePersoane",
	"m_srcTableName" => "asociatiePersoane"
));

$proto14["m_sql"] = "functie";
$proto14["m_srcTableName"] = "asociatiePersoane";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "id_asociatie",
	"m_strTable" => "asociatiePersoane",
	"m_srcTableName" => "asociatiePersoane"
));

$proto16["m_sql"] = "id_asociatie";
$proto16["m_srcTableName"] = "asociatiePersoane";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "asociatiePersoane";
$proto19["m_srcTableName"] = "asociatiePersoane";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "id";
$proto19["m_columns"][] = "persoana";
$proto19["m_columns"][] = "cnp";
$proto19["m_columns"][] = "domiciliu";
$proto19["m_columns"][] = "functie";
$proto19["m_columns"][] = "id_asociatie";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "asociatiePersoane";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "asociatiePersoane";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="asociatiePersoane";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_asociatiepersoane = createSqlQuery_asociatiepersoane();


	
					
;

						

$tdataasociatiepersoane[".sqlquery"] = $queryData_asociatiepersoane;



$tableEvents["asociatiePersoane"] = new eventsBase;
$tdataasociatiepersoane[".hasEvents"] = false;

?>